FreeBSD : libsndfile -- multiple vulnerabilities (5a97805e-93ef-4dcb-8d5e-dbcac263bfc2)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing one or more security-related
updates.

Description :

NVD reports :

In libsndfile before 1.0.28, an error in the 'flac_buffer_copy()'
function (flac.c) can be exploited to cause a stack-based buffer
overflow via a specially crafted FLAC file.

In libsndfile before 1.0.28, an error in the 'header_read()' function
(common.c) when handling ID3 tags can be exploited to cause a
stack-based buffer overflow via a specially crafted FLAC file.

In libsndfile before 1.0.28, an error in the 'flac_buffer_copy()'
function (flac.c) can be exploited to cause a segmentation violation
(with write memory access) via a specially crafted FLAC file during a
resample attempt, a similar issue to CVE-2017-7585.

In libsndfile before 1.0.28, an error in the 'flac_buffer_copy()'
function (flac.c) can be exploited to cause a segmentation violation
(with read memory access) via a specially crafted FLAC file during a
resample attempt, a similar issue to CVE-2017-7585.

See also :

https://github.com/erikd/libsndfile/commit/60b234301adf
https://github.com/erikd/libsndfile/commit/708e996c87c5
https://github.com/erikd/libsndfile/commit/f457b7b5ecfe
https://github.com/erikd/libsndfile/commit/60b234301adf
http://www.nessus.org/u?8ce309ee

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 99554 ()

Bugtraq ID:

CVE ID: CVE-2017-7585
CVE-2017-7586
CVE-2017-7741
CVE-2017-7742

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now